com.corticon.rulesemf.canonicalvocabularymodel.metadata.java

## Interface JavaPackage.Literals

- Enclosing interface:
    JavaPackage

      public static interface JavaPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ASSOCIATION_METADATA` The meta object literal for the '`Association Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_METADATA__COLLECTION` The meta object literal for the 'Collection' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_METADATA__GENERIC_TYPE` The meta object literal for the 'Generic Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_METADATA__NO_ARG_CONSTRUCTOR` The meta object literal for the 'No Arg Constructor' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `ATTRIBUTE_METADATA` The meta object literal for the '`Attribute Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ATTRIBUTE_METADATA__TYPE_ENUM` The meta object literal for the 'Type Enum' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `CLASS_METADATA` The meta object literal for the '`Class Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `CLASS_METADATA__INTERFACE` The meta object literal for the 'Interface' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `CLASS_METADATA__MEMBERS` The meta object literal for the 'Members' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `ENUM_METADATA` The meta object literal for the '`Enum Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `ENUM_METADATA__VALUES` The meta object literal for the 'Values' attribute list feature
    `static org.eclipse.emf.ecore.EClass` | `JAVA_METADATA` The meta object literal for the '`Metadata`' class
    `static org.eclipse.emf.ecore.EReference` | `JAVA_METADATA__PACKAGES` The meta object literal for the 'Packages' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `JAVA_METADATA_NODE` The meta object literal for the '`Metadata Node`' class
    `static org.eclipse.emf.ecore.EReference` | `JAVA_METADATA_NODE__CHILDREN` The meta object literal for the 'Children' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `JAVA_METADATA_NODE__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `JAVA_METADATA_NODE__PARENT` The meta object literal for the 'Parent' container reference feature
    `static org.eclipse.emf.ecore.EClass` | `MEMBER_METADATA` The meta object literal for the '`Member Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `MEMBER_METADATA__ARRAY` The meta object literal for the 'Array' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MEMBER_METADATA__CATEGORY` The meta object literal for the 'Category' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MEMBER_METADATA__NAME` The meta object literal for the 'Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `MEMBER_METADATA__TYPE` The meta object literal for the 'Type' attribute feature
    `static org.eclipse.emf.ecore.EEnum` | `METADATA_CATEGORY` The meta object literal for the '`Metadata Category`' enum
    `static org.eclipse.emf.ecore.EClass` | `PACKAGE_METADATA` The meta object literal for the '`Package Metadata`' class

- - ### Field Detail

    - #### JAVA_METADATA

          static final org.eclipse.emf.ecore.EClass JAVA_METADATA

      The meta object literal for the '`Metadata`' class.
      See Also:
        `JavaMetadataImpl`, `JavaPackageImpl.getJavaMetadata()`

    - #### JAVA_METADATA__PACKAGES

          static final org.eclipse.emf.ecore.EReference JAVA_METADATA__PACKAGES

      The meta object literal for the 'Packages' containment reference list feature.

    - #### JAVA_METADATA_NODE

          static final org.eclipse.emf.ecore.EClass JAVA_METADATA_NODE

      The meta object literal for the '`Metadata Node`' class.
      See Also:
        `JavaMetadataNodeImpl`, `JavaPackageImpl.getJavaMetadataNode()`

    - #### JAVA_METADATA_NODE__NAME

          static final org.eclipse.emf.ecore.EAttribute JAVA_METADATA_NODE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### JAVA_METADATA_NODE__CHILDREN

          static final org.eclipse.emf.ecore.EReference JAVA_METADATA_NODE__CHILDREN

      The meta object literal for the 'Children' containment reference list feature.

    - #### JAVA_METADATA_NODE__PARENT

          static final org.eclipse.emf.ecore.EReference JAVA_METADATA_NODE__PARENT

      The meta object literal for the 'Parent' container reference feature.

    - #### PACKAGE_METADATA

          static final org.eclipse.emf.ecore.EClass PACKAGE_METADATA

      The meta object literal for the '`Package Metadata`' class.
      See Also:
        `PackageMetadataImpl`, `JavaPackageImpl.getPackageMetadata()`

    - #### CLASS_METADATA

          static final org.eclipse.emf.ecore.EClass CLASS_METADATA

      The meta object literal for the '`Class Metadata`' class.
      See Also:
        `ClassMetadataImpl`, `JavaPackageImpl.getClassMetadata()`

    - #### CLASS_METADATA__INTERFACE

          static final org.eclipse.emf.ecore.EAttribute CLASS_METADATA__INTERFACE

      The meta object literal for the 'Interface' attribute feature.

    - #### CLASS_METADATA__MEMBERS

          static final org.eclipse.emf.ecore.EReference CLASS_METADATA__MEMBERS

      The meta object literal for the 'Members' containment reference list feature.

    - #### MEMBER_METADATA

          static final org.eclipse.emf.ecore.EClass MEMBER_METADATA

      The meta object literal for the '`Member Metadata`' class.
      See Also:
        `MemberMetadataImpl`, `JavaPackageImpl.getMemberMetadata()`

    - #### MEMBER_METADATA__CATEGORY

          static final org.eclipse.emf.ecore.EAttribute MEMBER_METADATA__CATEGORY

      The meta object literal for the 'Category' attribute feature.

    - #### MEMBER_METADATA__ARRAY

          static final org.eclipse.emf.ecore.EAttribute MEMBER_METADATA__ARRAY

      The meta object literal for the 'Array' attribute feature.

    - #### MEMBER_METADATA__TYPE

          static final org.eclipse.emf.ecore.EAttribute MEMBER_METADATA__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### MEMBER_METADATA__NAME

          static final org.eclipse.emf.ecore.EAttribute MEMBER_METADATA__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ATTRIBUTE_METADATA

          static final org.eclipse.emf.ecore.EClass ATTRIBUTE_METADATA

      The meta object literal for the '`Attribute Metadata`' class.
      See Also:
        `AttributeMetadataImpl`, `JavaPackageImpl.getAttributeMetadata()`

    - #### ATTRIBUTE_METADATA__TYPE_ENUM

          static final org.eclipse.emf.ecore.EAttribute ATTRIBUTE_METADATA__TYPE_ENUM

      The meta object literal for the 'Type Enum' attribute feature.

    - #### ASSOCIATION_METADATA

          static final org.eclipse.emf.ecore.EClass ASSOCIATION_METADATA

      The meta object literal for the '`Association Metadata`' class.
      See Also:
        `AssociationMetadataImpl`, `JavaPackageImpl.getAssociationMetadata()`

    - #### ASSOCIATION_METADATA__COLLECTION

          static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_METADATA__COLLECTION

      The meta object literal for the 'Collection' attribute feature.

    - #### ASSOCIATION_METADATA__NO_ARG_CONSTRUCTOR

          static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_METADATA__NO_ARG_CONSTRUCTOR

      The meta object literal for the 'No Arg Constructor' attribute feature.

    - #### ASSOCIATION_METADATA__GENERIC_TYPE

          static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_METADATA__GENERIC_TYPE

      The meta object literal for the 'Generic Type' attribute feature.

    - #### ENUM_METADATA

          static final org.eclipse.emf.ecore.EClass ENUM_METADATA

      The meta object literal for the '`Enum Metadata`' class.
      See Also:
        `EnumMetadataImpl`, `JavaPackageImpl.getEnumMetadata()`

    - #### ENUM_METADATA__VALUES

          static final org.eclipse.emf.ecore.EAttribute ENUM_METADATA__VALUES

      The meta object literal for the 'Values' attribute list feature.

    - #### METADATA_CATEGORY

          static final org.eclipse.emf.ecore.EEnum METADATA_CATEGORY

      The meta object literal for the '`Metadata Category`' enum.
      See Also:
        `MetadataCategory`, `JavaPackageImpl.getMetadataCategory()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.